IncidentFlow
Open app
API navigation

List incidents

GET
/api/v1/incidents

Returns incidents in the authenticated workspace. Requires a personal API key with the incidents:read scope.

Authorization

BearerAuth
headerAuthorizationBearer <token>

Personal API key with the incidents:read scope.

Query Parameters

status?|

Optional incident status filter.

limit?Limit

Page size, from 1 to 200.

Range1 <= value <= 200
Default50
offset?Offset

Number of incidents to skip.

Range0 <= value
Default0

Response Body

Successful Response

application/json
  1. response
items?array<>
Example Request
curl --fail-with-body --silent --show-error \+  "${INCIDENTFLOW_API_BASE_URL:-https://api.incidentflow.io}/api/v1/incidents?limit=50&offset=0" \+  -H "Authorization: Bearer ${INCIDENTFLOW_API_TOKEN}"
Example Response
{  "items": [    {      "id": "11111111-1111-1111-1111-111111111111",      "title": "API errors elevated",      "status": "active",      "severity": "sev2",      "source_kind": "external_status",      "provider": "github",      "provider_incident_key": "github:example",      "signals_count": 3    }  ]}